import React from 'react';
import { createDragAndDropUIConnector, createHighlightUIConnector, createSelectionUIConnector, } from 'skandha-facets';
import { makeFacetObservable } from './makeCtrObservable';
export const useDragAndDropUIConnector = (dragAndDrop, dependencies) => {
    const dragAndDropUIConnector = React.useMemo(() => makeFacetObservable(createDragAndDropUIConnector(dragAndDrop)), [dragAndDrop, ...(dependencies !== null && dependencies !== void 0 ? dependencies : [])]);
    return dragAndDropUIConnector;
};
export const useSelectionUIConnector = (selection, options, dependencies) => {
    const selectionUIConnector = React.useMemo(() => makeFacetObservable(createSelectionUIConnector(selection, options)), [selection, ...(dependencies !== null && dependencies !== void 0 ? dependencies : [])]);
    return selectionUIConnector;
};
export const useHighlightUIConnector = (highlight, options, dependencies) => {
    const highlightUIConnector = React.useMemo(() => makeFacetObservable(createHighlightUIConnector(highlight, options)), [highlight, ...(dependencies !== null && dependencies !== void 0 ? dependencies : [])]);
    return highlightUIConnector;
};
